
Redmine - Feature #7539

Rest-API limit of items not 100, but changeable by the administrator

2011-02-04 11:47 - Guido Schweizer

Status: Closed Start date: 2011-02-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Instead of setting the limit to 100 hardcoded, the limit should be editable by the administrator.

Since the return object does send the server-side-limit, clients could react to a server-side change of the limit value.

In some cases the 100-limit causes a lot of calls to the api (server).

Related issues:

Is duplicate of Redmine - Patch #16069: Allow configuration of API limit inst... New

History

#1 - 2016-03-22 12:37 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Closing as a duplicate of #16069.

#2 - 2016-03-22 12:38 - Go MAEDA

- Is duplicate of Patch #16069: Allow configuration of API limit instead of hardcoding at 100 added

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

https://www.redmine.org/issues/16069
http://www.tcpdf.org

